Subject: Re: [patch 01/39] PCI/MSI: Check for MSI enabled in __pci_msix_enable()

From: Thomas Gleixner <[email-masked]>
Date: Thu, 17 Nov 2022 14:07:33 +0100

On Wed, Nov 16 2022 at 07:39, Ashok Raj wrote:
> On Fri, Nov 11, 2022 at 02:54:15PM +0100, Thomas Gleixner wrote:
>
> Can the pre-enabled checks for msi and msix be moved up before any vector
> range check?
>
> not that it matters for how it fails, does EBUSY sound better?

Does any caller care about the error code or about the ordering in which
the caller stupity is detected?